- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cOutputScalarManager Class Reference
[Extension interface to Envir]

`#include <envirext.h>`

Inheritance diagram for cOutputScalarManager:

List of all members.

## Detailed Description

Abstract base class for handling recording of output scalar data.

cOutputScalarManagers are plugins into the Envir user interface library (src/envir) that ultimately handle calls to the cModule::recordScalar() family of functions.

The default output scalar manager is cFileOutputScalarManager, defined in the Envir library.

To change the way scalar results are recorded, subclass cOutputScalarManager, register your new class with the Register_Class() macro, then select it by adding the following to `omnetpp.ini`:

     [General]
     outputscalarmanager-class="MyClass"

## Public Member Functions
Constructor, destructor
| cOutputScalarManager ()
virtual | ~cOutputScalarManager ()
Controlling the beginning and end of collecting data.
virtual void | startRun ()=0
virtual void | endRun ()=0
Scalar statistics.
virtual void | recordScalar (cModule *module, const char *name, double value)=0
virtual const char * | fileName () const =0
virtual void | flush ()=0

## Constructor & Destructor Documentation

cOutputScalarManager::cOutputScalarManager | ( |  | ) | `[inline, explicit]`

| Constructor.

virtual cOutputScalarManager::~cOutputScalarManager | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void cOutputScalarManager::endRun | ( |  | ) | `[pure virtual]`

| Closes collecting. Called at the end of a simulation run.

virtual const char* cOutputScalarManager::fileName | ( |  | ) | const`[pure virtual]`

| Returns the output scalar file name. Returns NULL if this object is not producing file output.

virtual void cOutputScalarManager::flush | ( |  | ) | `[pure virtual]`

| Force writing out all buffered output.

virtual void cOutputScalarManager::recordScalar | ( | cModule * | module,
|  | const char * | name,
|  | double | value
| ) | `[pure virtual]`

| Records a double scalar result, in a default configuration into the scalar result file.

virtual void cOutputScalarManager::startRun | ( |  | ) | `[pure virtual]`

| Opens collecting. Called at the beginning of a simulation run.

The documentation for this class was generated from the following file:

- envirext.h